tic
for i = 1:1:1000
    qt.uFine = K\F;
end
toc

%%
tic
for i = 1:1:1%000
    A = SD.K;
    b = SD.F;
    %no preconditioner
    [x0,fl0,rr0,it0,rv0] = pcg(A,b,1e-8,1000)
    %incomplete cholesky preconditioner
    %L = ichol(A);
    %[x1,fl1,rr1,it1,rv1] = pcg(A,b,1e-8,1000,L,L');
    %modified incomplete cholesky preconditioner
    %L = ichol(A,struct('michol','on'));
    %[x2,fl2,rr2,it2,rv2] = pcg(A,b,1e-8,100,L5,L5');
end
    figure;
    %semilogy(0:it0,rv0/norm(b),'b.');
    hold on;
    semilogy(0:it1,rv1/norm(b),'r.');
    semilogy(0:it2,rv2/norm(b),'k.');
    legend('No Preconditioner','IC(0)','MIC(0)');
    xlabel('iteration number');
    ylabel('relative residual');
    hold off;
toc