function [MS] = getMsBCs(qt,threshold,i,MS)
    switch i
        case 1 %left
            [row,~] = find(qt.gNodes(:,1) < threshold.min);
        case 2 %top
            [row,~] = find(qt.gNodes(:,2) < threshold.min);
        case 3 %right
            [row,~] = find(qt.gNodes(:,1) > threshold.max);
        case 4 %bottom
            [row,~] = find(qt.gNodes(:,2) > threshold.max);
        otherwise
            disp('MsBCs switch statement error')
    end
    [MS.BC(i).nodes,index] = sortrows(qt.gNodes(row,:),2);
    MS.BC(i).row = row(index);
    %generate corresponding DOF
    MS.BC(i).DOF = repmat(MS.BC(i).row,[1,2]);
    MS.BC(i).DOF(:,1) = MS.BC(i).DOF(:,1)*qt.DOFPerNode-1;
    MS.BC(i).DOF(:,2) = MS.BC(i).DOF(:,2)*qt.DOFPerNode;
    MS.BC(i).DOF = MS.BC(i).DOF';
    MS.BC(i).DOF = reshape(MS.BC(i).DOF,1,[]);
end