function [ MS ] = getMsRestrainedDOF( MS, qt, threshold )
    [rows,~] = find(MS.cNodes(:,2) <= threshold.min);
    rows = repmat(rows,[1,2]);
    rows(:,1) = rows(:,1)*qt.DOFPerNode-1;
    rows(:,2) = rows(:,2)*qt.DOFPerNode;
    rows = rows';
    rows = reshape(rows,1,[]);
    MS.BCDOF = rows;
end