nCNodes = 4;
A = zeros(72+nCNodes * 2,120);
counter = 1;
%first linear ones in four segments, one for each side
    %lower side (1-14)
    temp = [115:120,13:20];
    for  i = 1:1:length(temp)
        A(counter,temp(i)) = 1; 
        counter = counter + 1;
    end
    %right side (15-20)
    temp = [35:40];
    for  i = 1:1:length(temp)
        A(counter,temp(i)) = 1; 
        counter = counter + 1;
    end
    %top side (21-34)
    temp = [55:62,75:80];
    for  i = 1:1:length(temp)
        A(counter,temp(i)) = 1; 
        counter = counter + 1;
    end
    %left side (35-40)
    temp = [95:100];
    for  i = 1:1:length(temp)
        A(counter,temp(i)) = 1; 
        counter = counter + 1;
    end
    
%now periodic BC again in four segments
    %botttom-top left of crack (41-46)
    temp = [109,85;110,86;111,83;112,84;113,81;114,82];
    for i = 1:1:length(temp)
        A(counter,temp(i,1)) =  1;
        A(counter,temp(i,2)) = -1;
        counter = counter + 1;
    end
    
    %bottom-top right of crack (47-52)
    temp = [21,53;22,54;23,51;24,52;25,49;26,50];
    for i = 1:1:length(temp)
        A(counter,temp(i,1)) =  1;
        A(counter,temp(i,2)) = -1;
        counter = counter + 1;
    end
    
    %left-right below crack (53-62)
    temp = [101,33;102,34;103,31;104,32;105,29;106,30;107,27;108,28;109,25;110,26];
    for i = 1:1:length(temp)
        A(counter,temp(i,1)) =  1;
        A(counter,temp(i,2)) = -1;
        counter = counter + 1;
    end
    
    %left-right above crack (63-72)
    temp = [85,49;86,50;87,47;88,48;89,45;90,46;91,43;92,44;93,41;94,42];
    for i = 1:1:length(temp)
        A(counter,temp(i,1)) =  1;
        A(counter,temp(i,2)) = -1;
        counter = counter + 1;
    end
    
%finally, prescribed boundary conditions on the coarse nodes (73-80)
    switch nCNodes
        case 4
            temp = [109,110,25,26,49,50,85,86];
        case 8
            temp = [109,110,13,14,25,26,37,38,49,50,61,62,85,86,97,98];
        case 12
            temp = [109,110,117,118,17,18,25,26,33,34,41,42,49,50,57,58,77,78,85,86,93,94,101,102];
        case 16
            temp = [109,110,115,116,13,14,19,20,25,26,31,32,37,38,43,44,49,50,55,56,61,62,77,78,85,86,91,92,97,98,103,104];
        otherwise
        
    end
   
    for  i = 1:1:length(temp)
        A(counter,temp(i)) = 1; 
        counter = counter + 1;
    end
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    